import React, { useEffect, useMemo, useRef, useState } from 'react';
import { Swiper, SwiperSlide } from 'swiper/react';
import { Autoplay } from 'swiper';
import 'swiper/css';
import classNames from 'classnames';
import Item from './Item';
import Styles from './style.less';

export default (props) => {
  // 每次加载 4 个
  const tm = 4;
  const { title, color, children } = props;

  const classList = classNames(Styles['list-title'], {
    [Styles['yellow-title']]: color !== 'green',
    [Styles['green-title']]: color === 'green',
  });

  return (
    <div className={Styles['screen-list']}>
      <div className={classList}>
        <div>{title}</div>
      </div>
      <Swiper
        height={48}
        className={Styles['list-body']}
        autoplay={{
          delay: 2500,
          disableOnInteraction: false,
        }}
        loop
        loopAdditionalSlides={2}
        modules={[Autoplay]}
        direction="vertical"
      >
        {React.Children.map(children, (child) => (
          <SwiperSlide>
            <Item color={color}>{child}</Item>
          </SwiperSlide>
        ))}
      </Swiper>
    </div>
  );
};
