import React, { useEffect, useMemo, useRef } from 'react';
import deepCopy from '@/utils/deepCopy';
import { colorArr } from '@/components/ScreenBox/utils';
import BasicChart from './BasicChart';

const defaultOpt = {
  // tooltip: {
  //   trigger: 'item',
  //   formatter: '{b} : {c} ({d}%)',
  // },
  color: colorArr,
  legend: {
    orient: 'vertical',
    left: 'right',
    bottom: '5%',
    textStyle: { color: '#fff' },
  },
  toolbox: {},
  series: [
    {
      type: 'pie',
      radius: ['40%', '55%'],
      center: ['40%', '50%'],
      selectedMode: 'single',
      avoidLabelOverlap: false,
      label: {
        color: '#fff',
        formatter: '{b} \n{d}%',
      },
      // labelLine: {
      //   length: 10,
      //   length2: 36,
      // },
    },
  ],
};

export default (props) => {
  const option = useMemo(() => deepCopy(defaultOpt), []);
  option.series[0].data = props.source;
  (option.series[0].data[0] || {}).selected = true; // 设置第一个是选中状态

  return <BasicChart title="农机作业量面积统计" option={option} />;
};
